| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | Protected Member Functions
Tp::Object Class Reference

The Object class provides an object with property notification. More...

`#include <TelepathyQt/Object>`

Inherits QObject, and Tp::RefCounted.

Inherited by Tp::AccountSet, Tp::CaptchaAuthentication, Tp::ClientRegistrar, Tp::Contact, Tp::ContactManager, Tp::DBusProxy, Tp::ProfileManager, and Tp::StreamedMediaStream.

List of all members.

## Signals

- void propertyChanged (const QString &propertyName)

## Public Member Functions

- virtual ~Object ()

## Protected Member Functions

- Object ()
- void notify (const char *propertyName)

## Detailed Description

The Object class provides an object with property notification.

## Constructor & Destructor Documentation

Tp::Object::~Object | ( |  | ) | `[virtual]`

Class destructor.

Tp::Object::Object | ( |  | ) | `[protected]`

Construct a new Object object.

## Member Function Documentation

void Tp::Object::propertyChanged | ( | const QString & | propertyName | ) | `[signal]`

void Tp::Object::notify | ( | const char * | propertyName | ) | `[protected]`

Notify that a property named propertyName changed.

This method will emit propertyChanged() for propertyName.

Todo:
  Use for more classes beyond Account. Most importantly Contact.